Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450863 - Piles of AVCs when starting a virtual machine
Summary: Piles of AVCs when starting a virtual machine
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 14:21 UTC by Casey Dahlin
Modified: 2014-06-18 08:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-17 21:53:23 UTC


Attachments (Terms of Use)

Description Casey Dahlin 2008-06-11 14:21:20 UTC
I get these when starting a qemu-kvm virtual machine from virtmanager. They come
hundreds at a time, I think I got about 1700 when I booted.

Raw Audit Messages
host=4chan type=AVC msg=audit(1213193183.890:47492): avc:  denied  { getsched }
for  pid=31214 comm="qemu-system-x86" scontext=system_u:system_r:virtd_t:s0
                tcontext=system_u:system_r:virtd_t:s0 tclass=process
host=4chan type=SYSCALL msg=audit(1213193183.890:47492): arch=c000003e
syscall=145 success=no exit=-13 a0=79ee a1=7fcdc3acaae8 a2=d a3=0 items=0
ppid=2362 pid=31214 auid=4294967295 uid=0 gid=0
                euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none)
ses=4294967295 comm="qemu-system-x86" exe="/usr/bin/qemu-system-x86_64"
subj=system_u:system_r:virtd_t:s0 key=(null)

Comment 1 Daniel Walsh 2008-06-14 11:12:01 UTC
# audit2allow -M mypol -l -i /var/log/audit/audit.log
# semodule -i mypol.pp

Fixed in selinux-policy-3.3.1-67.fc9.noarch

Comment 2 Casey Dahlin 2008-11-17 21:39:14 UTC
This does indeed seem fixed. I see no reason to keep this open. Dan, do you agree?

Comment 3 Daniel Walsh 2008-11-17 21:53:23 UTC
When you confirm you are welcome to close.


Note You need to log in before you can comment on or make changes to this bug.